## org.biojava.utils.automata
Class AutomatonException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.biojava.bio.BioException
                  org.biojava.utils.automata.AutomatonException

All Implemented Interfaces:
  Serializable

    public class AutomatonException

extends BioException

An exception thrown by classes of this package.

See Also:
  Serialized Form

Constructor Summary
`AutomatonException(String message)`
`AutomatonException(Throwable ex)`
`AutomatonException(Throwable ex, String message)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AutomatonException

    public AutomatonException(String message)

### AutomatonException

    public AutomatonException(Throwable ex)

### AutomatonException

    public AutomatonException(Throwable ex,
                              String message)